<!-- Q10 -->
<!DOCTYPE html>
<html>

<head></head>

<body>
  <p>
    <button onclick="updateCalculation('1')">1</button>

    <button onclick="updateCalculation('2')">2</button>

    <button onclick="updateCalculation('3')">3</button>

    <button onclick="updateCalculation('+')">+</button>
  </p>

  <p>
    <button onclick="updateCalculation('4')">4</button>

    <button onclick="updateCalculation('5')">5</button>

    <button onclick="updateCalculation('6')">6</button>

    <button onclick="updateCalculation('-')">-</button>
  </p>

  <p>
    <button onclick="updateCalculation('7')">7</button>

    <button onclick="updateCalculation('8')">8</button>

    <button onclick="updateCalculation('9')">9</button>

    <button onclick="updateCalculation('*')">*</button>
  </p>

  <p>
    <button onclick="updateCalculation('0')">0</button>

    <button onclick="updateCalculation('.')">.</button>

    <button onclick="updateCalculation('eval')">=</button>

    <button onclick="updateCalculation('/')">/</button>
  </p>

  <p>
    <button onclick="updateCalculation('clear')">Clear</button>
  </p>

  <script>
    let calculation = localStorage.getItem("prevAns") || "";
    function updateCalculation(params) {
      if (params === "eval") {
        const ans = eval(calculation);
        localStorage.setItem("prevAns", ans);
      } else if (params === "clear") {
        calculation = '';
        localStorage.setItem("prevAns", 0);
        console.log(calculation);
      } else {
        calculation += params;
      }
    }
    console.log(localStorage.getItem("prevAns"));
  </script>
</body>

</html>